# utils.dict

`utils.dict`

Module containing the DictDefault class

## Classes

Name | Description
--- | ---
DictDefault | A Dict that returns None instead of returning empty Dict for missing keys.

### DictDefault

    utils.dict.DictDefault()

A Dict that returns None instead of returning empty Dict for missing keys.

## Functions

Name | Description
--- | ---
remove_none_values | Remove null from a dictionary-like obj or list.

### remove_none_values

    utils.dict.remove_none_values(obj)

Remove null from a dictionary-like obj or list. These can appear due to Dataset loading causing schema merge. See https://github.com/axolotl-ai-cloud/axolotl/pull/2909